from sqlalchemy import Column, String, Integer, Boolean, Text
from sqlalchemy.sql import func
from sqlalchemy.sql.sqltypes import DateTime

from app.db.base_class import Base


class Item(Base):
    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(100), index=True, nullable=False)
    description = Column(Text, nullable=True)
    price = Column(Integer, nullable=False)  # Store price in cents
    is_active = Column(Boolean, default=True)
    created_at = Column(DateTime, server_default=func.now())
    updated_at = Column(DateTime, server_default=func.now(), onupdate=func.now())